package com.persagy.adm.diagram.core.model.style;

import com.google.gson.annotations.Expose;

/**
 * 样式基类
 * @author zhaoyk
 */
public class BaseStyle {

	@Expose
	protected String color = "#000000";

	@Expose
	protected String backColor = "#FFFFFF";

	/**
	 * 字体大小
	 */
	@Expose
	protected int fontSize = 10;

	/**
	 * 字体颜色
	 */
	@Expose
	protected String fontColor = "#000000";

	/**
	 * 预定义好的样式类Id
	 */
	@Expose
	protected String classId;

	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	public String getBackColor() {
		return backColor;
	}

	public void setBackColor(String backColor) {
		this.backColor = backColor;
	}

	public int getFontSize() {
		return fontSize;
	}

	public void setFontSize(int fontSize) {
		this.fontSize = fontSize;
	}

	public String getFontColor() {
		return fontColor;
	}

	public void setFontColor(String fontColor) {
		this.fontColor = fontColor;
	}

	public String getClassId() {
		return classId;
	}

	public void setClassId(String classId) {
		this.classId = classId;
	}

}
